#ifndef SOWING_H
#define SOWING_H

#include <QDialog>

namespace Ui {
    class Sowing;
}

class Sowing : public QDialog
{
    Q_OBJECT

public:
    explicit Sowing(QImage, QWidget *parent = 0);
    ~Sowing();

public slots:
//void updateProgress(int);
//void sow();
void startPressed();
void cancelPressed();
//void waitForReady(int);
//int numBlack();
//void openTimeout();
//void failedTimeout();
//void pauseEvents();

//void pausePressed();

//void sendall();
void writeFile();
void coordStr();
void enableJoystick();
//void readFile();

private:
    Ui::Sowing *ui;
};

#endif // SOWING_H
